Add Story points (from Sprint Extension) to the phabricator data dump
Closed, ResolvedPublic

Description

The data dump does not appear to have story points, which are part of the Sprint Extension. I checked this by looking at a task in Phab with a Story point total (97069) and then inspecting the JSON for it. I suspect that this may be resolvable without diving into any Sprint Extension schema, but instead by adding story points to the list of safe transaction types (found here:

	transactions = ['projectcolumn',
			                'priority',
			                'status',
			                'reassign']

) but I'm not 100% sure, and not sure that what the transactiontype for sprint points is called exactly.

JAufrecht updated the task description. (Show Details)
JAufrecht raised the priority of this task from to Needs Triage.
JAufrecht assigned this task to chasemp.
JAufrecht added subscribers: JAufrecht, csteipp.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2015, 9:31 PM

@mmodell do you know where story points are stored?

@chasemp: it's stored in maniphest_customfieldstorage and you have to look up the fieldIndex. In my test instance the fieldIndex for story points is yERhvoZPNPtM but I'm not sure if that is stable or if it'll be a different value in production.

mmodell renamed this task from Add Story points (from Sprint Extension) to Add Story points (from Sprint Extension) to the phabricator data dump.May 31 2015, 10:22 PM
mmodell set Security to None.
mmodell moved this task from To Triage to Doing on the Phabricator board.Jun 2 2015, 11:35 AM

Is there any transaction history for story points? E.g., if a story is changed from 8 points on March 2 to 13 points on March 3, I'd like both values with dates. Which should be trivial if the Sprint extension records changes in maniphest_transaction, but perhaps that is not the case? If it isn't in maniphest_transaction, is the change recorded anywhere else?

chasemp closed this task as Resolved.Jun 4 2015, 8:20 PM
chasemp added a subscriber: Christopher.

Is there any transaction history for story points? E.g., if a story is changed from 8 points on March 2 to 13 points on March 3, I'd like both values with dates. Which should be trivial if the Sprint extension records changes in maniphest_transaction, but perhaps that is not the case? If it isn't in maniphest_transaction, is the change recorded anywhere else?

I believe there is not but @Christopher would be authoritative

Also, resolving this now that storypoints are part of the current dump.

Christopher added a comment.EditedJun 11 2015, 8:18 PM

@JAufrecht the story points transactions are recorded in the maniphest_transaction table as type "core:customfield". Each transaction records an "oldValue" and a "newValue".